#!/bin/sh

. ./setCommonEnv.sh

if [ -f  "${DB_HOME}/data/postmaster.pid" ]
   then
	echo ===============================================================================
	echo .
	echo Server is currently running. Please shutdown the server to run this script.
	echo .
	echo ===============================================================================
    exit 0
fi

JAVA_OPTS="-Xms512m -Xmx1024m -XX:PermSize=128m -XX:MaxPermSize=256m -XX:+HeapDumpOnOutOfMemoryError -Dcatalina.home=$SERVER_HOME -DStartedAsCmdPrompt=true -Dserver.home=$SERVER_HOME -Dlog.dir=$SERVER_HOME -Ddb.home=$DB_HOME -Duser.language=en -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager -Djava.util.logging.config.file=$SERVER_HOME/conf/logging.properties -Duser.home=$SERVER_HOME/logs/"

LD_LIBRARY_PATH=$SERVER_HOME/lib/native:$SERVER_HOME/lib:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH

JAVA_OPTS="$JAVA_OPTS -Djava.library.path=$SERVER_HOME/lib/native:$SERVER_HOME/lib"
 
CLASS_PATH=$SERVER_HOME/lib/*:$SERVER_HOME/lib:$SERVER_HOME/lib/iam/*:$SERVER_HOME/bin/run.jar:$SERVER_HOME/classes/*:$SERVER_HOME/lib/tomcat/commons-logging-api.jar:$SERVER_HOME/lib/tomcat/tomcat-juli.jar:$SERVER_HOME/lib/tomcat/servlet-api.jar:$SERVER_HOME/WEB-INF/lib/struts.jar:

$JAVA -cp $CLASS_PATH: $JAVA_OPTS com.manageengine.opmanager.server.util.ResetPassword

echo -----------------!!BEST PRACTICE!!---------------------------------------------
echo Use "Forgot Password" option available in login page to reset passwords of local authenticated users. 
echo Mail Server Settings and Email-Id in User Profile are required for the "Forgot Password" feature to notify the new password via email.
echo -------------------------------------------------------------------------------
